<script lang="ts">
  import { categories, trending, upcoming } from '../games.js';
  import { currentCategory } from '../stores/game-store.js';

  const onLinkClick = (category: string) => {
    currentCategory.update(() => category);
  };
</script>

<aside>
  <h3>categories</h3>
  <ul>
    {#each categories as data}
      <li>
        <a
          href={data.link}
          on:click={() => onLinkClick(data.category)}>{data.category}</a>
      </li>
    {/each}
  </ul>
</aside>

<style lang="postcss">
  aside {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    padding: var(--content-margin);
    margin-top: 50px;
  }

  ul {
    /* width: fit-content; */

    /* background-color: blanchedalmond; */
  }
</style>
